Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] CXXABI_1.3.9 not found
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
walterw
Guru
Guru


Joined: 17 Oct 2003
Posts: 464

PostPosted: Sun Jul 30, 2017 10:39 am    Post subject: [SOLVED] CXXABI_1.3.9 not found Reply with quote

[Moderator note: this thread was moved to Unsupported Software because the poster is using a Funtoo base for the install.

OP: You may still get help on these forums, even if you continue using Funtoo as your base. The move to Unsupported Software is to warn would-be respondents that your system is not standard Gentoo, so some assumptions we can otherwise make do not hold for your system. -Hu]


Hi,

I started with a regular stage3 tarball and changed the profile to that of the hardened one. I followed the steps here:
https://wiki.gentoo.org/wiki/Hardened_Gentoo

which is to rebuild gcc and the world set. Anyways, when I try to install lz4, it fails during the configure phase:


Code:

cmake: /usr/lib/gcc/x86_64-pc-linux-gnu/4.9.3/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by cmake)
cmake: /usr/lib/gcc/x86_64-pc-linux-gnu/4.9.3/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by cmake)


I tried manually rebuilding gcc again to make sure gcc was rebuilt as I expected, but I get the same thing. Should I also try reinstalling all packages again too (I'm doing that now, but am not optimistic that will solve it)?

Walter
Back to top
View user's profile Send private message
charles17
Advocate
Advocate


Joined: 02 Mar 2008
Posts: 2799

PostPosted: Sun Jul 30, 2017 12:11 pm    Post subject: Re: CXXABI_1.3.9 not found Reply with quote

walterw wrote:
Hi,

I started with a regular stage3 tarball and changed the profile to that of the hardened one.

What is regular stage3 tarball? Did you mean that one called Hardened stage 3 from http://get.gentoo.org/ or something different?
Back to top
View user's profile Send private message
walterw
Guru
Guru


Joined: 17 Oct 2003
Posts: 464

PostPosted: Sun Jul 30, 2017 12:53 pm    Post subject: Reply with quote

Hi Charles,

I technically started with a funtoo current stage3 which is not hardened by default. It'd probably be easier for me to just start with that instead.

Walter
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22642
Location: here

PostPosted: Sun Jul 30, 2017 4:19 pm    Post subject: Reply with quote

It seem that cmake need gcc-5.x (CXXABI_1.3.9)
gcc manual wrote:
GCC 5.1.0: GLIBCXX_3.4.21, CXXABI_1.3.9

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
walterw
Guru
Guru


Joined: 17 Oct 2003
Posts: 464

PostPosted: Sun Jul 30, 2017 9:02 pm    Post subject: Reply with quote

Thanks good catch.

Walter
Back to top
View user's profile Send private message
walterw
Guru
Guru


Joined: 17 Oct 2003
Posts: 464

PostPosted: Mon Jul 31, 2017 1:59 am    Post subject: [solved] Reply with quote

Thanks, I'll mark this as solved, I think that was the issue.

Walter
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum